Subject: Re: bug#16403: Rectangular selection visually disturbing

From: Stefan Monnier <[email-masked]>
Date: Sun, 02 Mar 2025 11:55:20 -0500

>> If that is too complicated, I'd like to have a way to configure Emacs
>> _not_ to show that "thin vertical line" at all (i.e. to have the same
>> behavior on GUI frames as on TTY frames).
>> 
>> (after all, if I want to know the current limits of such a zero-width
>> rectangular region, I can type "C-x C-x" twice, or "C-f C-b")
>
> I believe that line was meant to be an indication that the region is
> active and you have a rectangle, even an empty one.  But I'm CC'ing
> Stefan in case I misremember.

I can't think of any reason why we couldn't add a config var to disable
that thin vertical line.  I find it convenient (tho I agree that the
small motion is bar jarring), but that's a question of taste.

        Stefan